setup:
  require_packages:
    - libncurses-dev
    - libgcrypt20-dev
    - libidn-dev
    - libssh-dev
    - postgresql
    - samba-dev
  installation_steps:
    - ./configure
    - make CCACHE=true -j$(nproc --ignore 2) 
    - sudo make install
  remove_steps:
    - sudo make uninstall